<ul class="case-summary-list" role="region" aria-label="Zaak samenvatting">

  <li class="case-summary-list-item" ng-repeat="link in vm.getLinks() track by link.id" zs-tooltip="{{::link.tooltip}}"
    zs-tooltip-options="{ attachment: 'left middle', target: 'right middle', offset: { x: 10, y: 0 } }"
    ng-class="link.style" data-name="{{::link.name}}" ng-switch="link.type">
    <a ng-href="{{::link.url}}" tabindex="0" class="case-summary-list-item-link" target="{{::link.target}}"
      aria-label="{{::link.tooltip}}: {{::link.label}}" ng-switch-default>
      <zs-icon class="case-summary-list-item-icon" icon-type="{{::link.icon}}" ng-show="{{::!!link.icon}}"></zs-icon>
      <span class="case-navigation-link-label case-summary-list-item-label">
        {{::link.label}}<zs-icon class="case-summary-list-item-icon" icon-type="{{::link.secondaryIcon}}"
          ng-show="{{::!!link.secondaryIcon}}"></zs-icon>
      </span>
      <button class="case-summary-list-item-new-tab-button" ng-click="vm.openInNewWindow(link.url, $event)"
        ng-if="link.url && link.openExternal" aria-label="{{::link.tooltip}}: {{::link.label}} openen in nieuw venster">
        <zs-icon class="case-summary-list-item-icon case-summary-list-item-icon-new-tab" icon-type="open-in-new">
        </zs-icon>
      </button>
    </a>

    <button class="case-summary-list-item-link" ng-switch-when="button" ng-click="!link.disabled && link.click()"
      zs-disabled="link.disabled">
      <div class="case-summary-list-item-link-inner">
        <zs-icon class="case-summary-list-item-icon" icon-type="{{::link.icon}}" ng-show="{{::!!link.icon}}"></zs-icon>
        <span class="case-navigation-link-label case-summary-list-item-label">{{::link.label}}</span>
      </div>
    </button>

    <div class="case-action-menu-button-wrapper" ng-switch-when="action-button">
      <zs-contextual-setting-menu></zs-contextual-setting-menu>
    </div>
  </li>

</ul>